## org.apache.hadoop.metrics2
Interface MetricsSink

All Superinterfaces:
  MetricsPlugin

All Known Implementing Classes:
  AbstractGangliaSink, FileSink, GangliaSink30, GangliaSink31

    public interface MetricsSink

extends MetricsPlugin

The metrics sink interface

Method Summary
`void` `flush()` Flush any buffered metrics
`void` `putMetrics(MetricsRecord record)` Put a metrics record in the sink

Methods inherited from interface org.apache.hadoop.metrics2.MetricsPlugin
`init`

Method Detail

### putMetrics

    void putMetrics(MetricsRecord record)

  Put a metrics record in the sink

  Parameters:
    `record` - the record to put

### flush

    void flush()

  Flush any buffered metrics

Copyright © 2009 The Apache Software Foundation